sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eric Norman (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (SLING-7235) Remove requirement for --add-modules java.se.ee
Date Tue, 11 Sep 2018 19:03:01 GMT

    [ https://issues.apache.org/jira/browse/SLING-7235?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16611097#comment-16611097
] 

Eric Norman edited comment on SLING-7235 at 9/11/18 7:02 PM:
-------------------------------------------------------------

It looks like there is some problem with the activation bundle that you switched to.  It
isn't loading the META-INF/mailcap and maybe other settings from the javax.mail bundle. 
Is there any reasons to use the geronimo artifacts over the equivalent servicemix ones?

In other words, maybe use the org.apache.servicemix.specs:org.apache.servicemix.specs.activation-api-1.1:2.9.0 
bundle from servicemix instead of the one from geronimo?

 

The symptoms I see are that an attempt to send email via the javamail API gets errors that
look something like this:

javax.mail.MessagingException: IOException while sending message;
 nested exception is:
 javax.activation.UnsupportedDataTypeException: multipart/alternative; 
 boundary="----=_Part_8_1531713475.1536692106603"

 

 


was (Author: edn):
It looks like there is some problem with the activation bundle that you switched to.  It
isn't loading the META-INF/mailcap and maybe other settings from the javax.mail bundle. 
Is there any reasons to use the geronimo artifacts over the equivalent servicemix ones?

In other words, maybe use the org.apache.servicemix.specs:org.apache.servicemix.specs.activation-api-1.1:2.9.0 
bundle from servicemix instead of the archive geronimo?

 

The symptoms I see are that an attempt to send email via the javamail API gets errors that
look something like this:

javax.mail.MessagingException: IOException while sending message;
 nested exception is:
 javax.activation.UnsupportedDataTypeException: multipart/alternative; 
 boundary="----=_Part_8_1531713475.1536692106603"

 

 

> Remove requirement for --add-modules java.se.ee
> -----------------------------------------------
>
>                 Key: SLING-7235
>                 URL: https://issues.apache.org/jira/browse/SLING-7235
>             Project: Sling
>          Issue Type: Improvement
>            Reporter: Karl Pauls
>            Assignee: Karl Pauls
>            Priority: Major
>              Labels: Sling-11-ReleaseNotes
>             Fix For: Starter 11
>
>
> For now we are running Sling on Java 9 by adding {{-add-modules java.se.ee}} to the CLI
arguments. We should remove this and make running Sling easier.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message